Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data.general
Interface DatasetChangeListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  CategoryPlot, CategoryToPieDataset, CombinedDomainCategoryPlot, CombinedDomainXYPlot, CombinedRangeCategoryPlot, CombinedRangeXYPlot, CompassPlot, ContourPlot, DialPlot, FastScatterPlot, IntervalXYDelegate, MeterPlot, MultiplePiePlot, PiePlot, PiePlot3D, Plot, PolarPlot, RingPlot, SpiderWebPlot, ThermometerPlot, WaferMapPlot, XYBarDataset, XYDatasetTableModel, XYPlot, XYTaskDataset

    public interface DatasetChangeListener

extends java.util.EventListener

The interface that must be supported by classes that wish to receive notification of changes to a dataset.

Method Summary
`void` | `datasetChanged(DatasetChangeEvent event)` Receives notification of an dataset change event.

Method Detail

### datasetChanged

    void datasetChanged(DatasetChangeEvent event)

  Receives notification of an dataset change event.

  Parameters:
    `event` - information about the event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.